Autore Topic: Problema con Eclipse ADT  (Letto 994 volte)

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Problema con Eclipse ADT
« il: 20 Dicembre 2014, 00:35:10 CET »
0
Ciao a tutti e da un po che quando trovo un po di tempo libero mi piace fare qualcosa su android (non sono un esperto android ma appena posso ci passo volentieri un po di tempo), ora ho sempre programmato con Eclipse scaricando l'sdk a parte dopo un po ho trovato online la versione ADT che aveva gia pronto il tutto per poter sviluppare applicazioni Android, devo dire che funzionava benissimo e mi trovavo molto bene anche.
Ora una settimana fa volevo fare un APP che visualizzava dei risultati in una lista, quindi ho visto su internet l'esistenza delle Card List molto belle e interessanti, peccatto che il mio ADT non le supportava, spulciando su internet ho visto che serviva il supporto v7, allora ho avuto la genieale idea di aprire l Android SDK Manager dell' ADT e farlo installare, non l'avessi mai fatto da allora non mi funziona più il mio Eclipse ho diversi errori no mi vede più l SDK, ho provato e riprovato a reinstallare tt i pachetti possibili e immaginabili che si vedono nell'SDK manager ma niente non funziona più il mio ADT, ora come ora l'errore che ho al suo avvio è :

Codice: [Seleziona]
[2014-12-20 00:05:53 - Localizzatore] ERROR: Unknown option '--non-constant-id'
[2014-12-20 00:05:53 - Localizzatore] Android Asset Packaging Tool
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore] Usage:
[2014-12-20 00:05:53 - Localizzatore]  aapt l[ist] [-v] [-a] file.{zip,jar,apk}
[2014-12-20 00:05:53 - Localizzatore]    List contents of Zip-compatible archive.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  aapt d[ump] [--values] WHAT file.{apk} [asset [asset ...]]
[2014-12-20 00:05:53 - Localizzatore]    badging          Print the label and icon for the app declared in APK.
[2014-12-20 00:05:53 - Localizzatore]    permissions      Print the permissions from the APK.
[2014-12-20 00:05:53 - Localizzatore]    resources        Print the resource table from the APK.
[2014-12-20 00:05:53 - Localizzatore]    configurations   Print the configurations in the APK.
[2014-12-20 00:05:53 - Localizzatore]    xmltree          Print the compiled xmls in the given assets.
[2014-12-20 00:05:53 - Localizzatore]    xmlstrings       Print the strings of the given compiled xml assets.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  aapt p[ackage] [-d][-f][-m][-u][-v][-x][-z][-M AndroidManifest.xml] \
[2014-12-20 00:05:53 - Localizzatore]         [-0 extension [-0 extension ...]] [-g tolerance] [-j jarfile] \
[2014-12-20 00:05:53 - Localizzatore]         [--debug-mode] [--min-sdk-version VAL] [--target-sdk-version VAL] \
[2014-12-20 00:05:53 - Localizzatore]         [--app-version VAL] [--app-version-name TEXT] [--custom-package VAL] \
[2014-12-20 00:05:53 - Localizzatore]         [--rename-manifest-package PACKAGE] \
[2014-12-20 00:05:53 - Localizzatore]         [--rename-instrumentation-target-package PACKAGE] \
[2014-12-20 00:05:53 - Localizzatore]         [--utf16] [--auto-add-overlay] \
[2014-12-20 00:05:53 - Localizzatore]         [--max-res-version VAL] \
[2014-12-20 00:05:53 - Localizzatore]         [-I base-package [-I base-package ...]] \
[2014-12-20 00:05:53 - Localizzatore]         [-A asset-source-dir]  [-G class-list-file] [-P public-definitions-file] \
[2014-12-20 00:05:53 - Localizzatore]         [-S resource-sources [-S resource-sources ...]]         [-F apk-file] [-J R-file-dir] \
[2014-12-20 00:05:53 - Localizzatore]         [--product product1,product2,...] \
[2014-12-20 00:05:53 - Localizzatore]         [raw-files-dir [raw-files-dir] ...]
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]    Package the android resources.  It will read assets and resources that are
[2014-12-20 00:05:53 - Localizzatore]    supplied with the -M -A -S or raw-files-dir arguments.  The -J -P -F and -R
[2014-12-20 00:05:53 - Localizzatore]    options control which files are output.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  aapt r[emove] [-v] file.{zip,jar,apk} file1 [file2 ...]
[2014-12-20 00:05:53 - Localizzatore]    Delete specified files from Zip-compatible archive.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  aapt a[dd] [-v] file.{zip,jar,apk} file1 [file2 ...]
[2014-12-20 00:05:53 - Localizzatore]    Add specified files to Zip-compatible archive.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  aapt v[ersion]
[2014-12-20 00:05:53 - Localizzatore]    Print program version.
[2014-12-20 00:05:53 - Localizzatore]
[2014-12-20 00:05:53 - Localizzatore]  Modifiers:
[2014-12-20 00:05:53 - Localizzatore]    -a  print Android-specific data (resources, manifest) when listing
[2014-12-20 00:05:53 - Localizzatore]    -c  specify which configurations to include.  The default is all
[2014-12-20 00:05:53 - Localizzatore]        configurations.  The value of the parameter should be a comma
[2014-12-20 00:05:53 - Localizzatore]        separated list of configuration values.  Locales should be specified
[2014-12-20 00:05:53 - Localizzatore]        as either a language or language-region pair.  Some examples:
[2014-12-20 00:05:53 - Localizzatore]             en
[2014-12-20 00:05:53 - Localizzatore]             port,en
[2014-12-20 00:05:53 - Localizzatore]             port,land,en_US
[2014-12-20 00:05:53 - Localizzatore]        If you put the special locale, zz_ZZ on the list, it will perform
[2014-12-20 00:05:53 - Localizzatore]        pseudolocalization on the default locale, modifying all of the
[2014-12-20 00:05:53 - Localizzatore]        strings so you can look for strings that missed the
[2014-12-20 00:05:53 - Localizzatore]        internationalization process.  For example:
[2014-12-20 00:05:53 - Localizzatore]             port,land,zz_ZZ
[2014-12-20 00:05:53 - Localizzatore]    -d  one or more device assets to include, separated by commas
[2014-12-20 00:05:53 - Localizzatore]    -f  force overwrite of existing files
[2014-12-20 00:05:53 - Localizzatore]    -g  specify a pixel tolerance to force images to grayscale, default 0
[2014-12-20 00:05:53 - Localizzatore]    -j  specify a jar or zip file containing classes to include
[2014-12-20 00:05:53 - Localizzatore]    -k  junk path of file(s) added
[2014-12-20 00:05:53 - Localizzatore]    -m  make package directories under location specified by -J
[2014-12-20 00:05:53 - Localizzatore]    -u  update existing packages (add new, replace older, remove deleted files)
[2014-12-20 00:05:53 - Localizzatore]    -v  verbose output
[2014-12-20 00:05:53 - Localizzatore]    -x  create extending (non-application) resource IDs
[2014-12-20 00:05:53 - Localizzatore]    -z  require localization of resource attributes marked with
[2014-12-20 00:05:53 - Localizzatore]        localization="suggested"
[2014-12-20 00:05:53 - Localizzatore]    -A  additional directory in which to find raw asset files
[2014-12-20 00:05:53 - Localizzatore]    -G  A file to output proguard options into.
[2014-12-20 00:05:53 - Localizzatore]    -F  specify the apk file to output
[2014-12-20 00:05:53 - Localizzatore]    -I  add an existing package to base include set
[2014-12-20 00:05:53 - Localizzatore]    -J  specify where to output R.java resource constant definitions
[2014-12-20 00:05:53 - Localizzatore]    -M  specify full path to AndroidManifest.xml to include in zip
[2014-12-20 00:05:53 - Localizzatore]    -P  specify where to output public resource definitions
[2014-12-20 00:05:53 - Localizzatore]    -S  directory in which to find resources.  Multiple directories will be scanned
[2014-12-20 00:05:53 - Localizzatore]        and the first match found (left to right) will take precedence.
[2014-12-20 00:05:53 - Localizzatore]    -0  specifies an additional extension for which such files will not
[2014-12-20 00:05:53 - Localizzatore]        be stored compressed in the .apk.  An empty string means to not
[2014-12-20 00:05:53 - Localizzatore]        compress any files at all.
[2014-12-20 00:05:53 - Localizzatore]    --debug-mode
[2014-12-20 00:05:53 - Localizzatore]        inserts android:debuggable="true" in to the application node of the
[2014-12-20 00:05:53 - Localizzatore]        manifest, making the application debuggable even on production devices.
[2014-12-20 00:05:53 - Localizzatore]    --min-sdk-version
[2014-12-20 00:05:53 - Localizzatore]        inserts android:minSdkVersion in to manifest.  If the version is 7 or
[2014-12-20 00:05:53 - Localizzatore]        higher, the default encoding for resources will be in UTF-8.
[2014-12-20 00:05:53 - Localizzatore]    --target-sdk-version
[2014-12-20 00:05:53 - Localizzatore]        inserts android:targetSdkVersion in to manifest.
[2014-12-20 00:05:53 - Localizzatore]    --max-res-version
[2014-12-20 00:05:53 - Localizzatore]        ignores versioned resource directories above the given value.
[2014-12-20 00:05:53 - Localizzatore]    --values
[2014-12-20 00:05:53 - Localizzatore]        when used with "dump resources" also includes resource values.
[2014-12-20 00:05:53 - Localizzatore]    --version-code
[2014-12-20 00:05:53 - Localizzatore]        inserts android:versionCode in to manifest.
[2014-12-20 00:05:53 - Localizzatore]    --version-name
[2014-12-20 00:05:53 - Localizzatore]        inserts android:versionName in to manifest.
[2014-12-20 00:05:53 - Localizzatore]    --custom-package
[2014-12-20 00:05:53 - Localizzatore]        generates R.java into a different package.
[2014-12-20 00:05:53 - Localizzatore]    --auto-add-overlay
[2014-12-20 00:05:53 - Localizzatore]        Automatically add resources that are only in overlays.
[2014-12-20 00:05:53 - Localizzatore]    --rename-manifest-package
[2014-12-20 00:05:53 - Localizzatore]        Rewrite the manifest so that its package name is the package name
[2014-12-20 00:05:53 - Localizzatore]        given here.  Relative class names (for example .Foo) will be
[2014-12-20 00:05:53 - Localizzatore]        changed to absolute names with the old package so that the code
[2014-12-20 00:05:53 - Localizzatore]        does not need to change.
[2014-12-20 00:05:53 - Localizzatore]    --rename-instrumentation-target-package
[2014-12-20 00:05:53 - Localizzatore]        Rewrite the manifest so that all of its instrumentation
[2014-12-20 00:05:53 - Localizzatore]        components target the given package.  Useful when used in
[2014-12-20 00:05:53 - Localizzatore]        conjunction with --rename-manifest-package to fix tests against
[2014-12-20 00:05:53 - Localizzatore]        a package that has been renamed.
[2014-12-20 00:05:53 - Localizzatore]    --product
[2014-12-20 00:05:53 - Localizzatore]        Specifies which variant to choose for strings that have
[2014-12-20 00:05:53 - Localizzatore]        product variants
[2014-12-20 00:05:53 - Localizzatore]    --utf16
[2014-12-20 00:05:53 - Localizzatore]        changes default encoding for resources to UTF-16.  Only useful when API
[2014-12-20 00:05:53 - Localizzatore]        level is set to 7 or higher where the default encoding is UTF-8.
[2014-12-20 00:11:47 - SDK Manager] [SDK Manager] Error: Expected verb after global parameters but found 'sdk' instead.


ho pensato di scaricare dinuovo l'ADT dal sito di android developer ma c'è una versione nuova e anche se lo scaricata non mi funziona, ho provato a cercare il mio stesso ADT( adt-bundle-windows ) ma senza risultato.
Qualcuno ha avuto un problema simile non riesco a risolverlo.

Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:Problema con Eclipse ADT
« Risposta #1 il: 09 Gennaio 2015, 16:10:58 CET »
0
NOTA per l'autore: era in attesa di approvazione perchè lo avevi postato nella sezione TUTORIAL
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #2 il: 12 Gennaio 2015, 09:18:47 CET »
0
Ok Grazie, Qualcuno ha avuto qualche problema simile?

Offline robyrocker89

  • Utente junior
  • **
  • Post: 55
  • Respect: +1
    • roberto-tucci
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Sistema operativo:
    Windows
Re:Problema con Eclipse ADT
« Risposta #3 il: 12 Gennaio 2015, 11:14:17 CET »
0
Consiglio spassionato: passa ad Android Studio. Dopo aver effettuato io stesso il passaggio, ti assicuro che dimentichi gran parte dei problemi...  ;-)
E poi rimane il fatto che lo sviluppo Android su Eclipse è in fase di "dismissione"...
TimeReport: your time. In your pocket.

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #4 il: 12 Gennaio 2015, 11:40:09 CET »
0
Cpt con Eclipse mi trovavo bene xk lo uso molto anche in ambito lavorativo, ma android studio è immediato da imparare bisogna installare solo quello e basta?

Offline robyrocker89

  • Utente junior
  • **
  • Post: 55
  • Respect: +1
    • roberto-tucci
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Sistema operativo:
    Windows
Re:Problema con Eclipse ADT
« Risposta #5 il: 12 Gennaio 2015, 19:31:30 CET »
0
Capisco. Guarda, anche io utilizzo Eclipse al lavoro (in realtà Websphere, una sua variante comunque) e personalmente mi trovo molto meglio con un IDE come quello di IntelliJ (meno macchinoso e decisamente più chiaro dal mio punto di vista). Poi ovviamente é piuttosto soggettiva la cosa, e il mio consiglio di provare Android Studio rimane. Tieni conto che, come detto sopra, Google sta abbandonando pian piano Eclipse per far spazio ad AS...quindi rischierai di trovare sempre meno supporto! :)
TimeReport: your time. In your pocket.

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #6 il: 13 Gennaio 2015, 22:55:45 CET »
0
ciao ho scaricato ed installato Android Studio ma quando faccio partire l'APP mi da questo errore nel log:

Codice: [Seleziona]
emulator: ERROR: x86 emulation currently requires hardware acceleration!
Please ensure Intel HAXM is properly installed and usable.
CPU acceleration status: HAX kernel module is not installed!

l'emulatore che cerco di lanciare è Nexus_5......

come mai?

Offline robyrocker89

  • Utente junior
  • **
  • Post: 55
  • Respect: +1
    • roberto-tucci
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Sistema operativo:
    Windows
Re:Problema con Eclipse ADT
« Risposta #7 il: 13 Gennaio 2015, 22:58:43 CET »
0
Hai scaricato l emulatore Intel...é un po' problematico! Prova con l'emulatore ARM! :)
TimeReport: your time. In your pocket.

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #8 il: 13 Gennaio 2015, 23:08:33 CET »
0
cosa devo scaricare oltre ad Androdi Studio?

Offline robyrocker89

  • Utente junior
  • **
  • Post: 55
  • Respect: +1
    • roberto-tucci
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Sistema operativo:
    Windows
Re:Problema con Eclipse ADT
« Risposta #9 il: 13 Gennaio 2015, 23:10:01 CET »
0
Apri l SDK manager e dovresti trovare gli emulatori lì...inoltre, hai scaricato tutto il resto? Api, ecc...
TimeReport: your time. In your pocket.

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #10 il: 13 Gennaio 2015, 23:16:27 CET »
0
Ho solamente scaricato ed installato Android Studio da sdk manager non ho fatto installare niente, devo farlo cosa devo fare installare?
in oltre Intel x86 Emulator accellerator mi risulta installato? cosa manca


Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:Problema con Eclipse ADT
« Risposta #11 il: 14 Gennaio 2015, 08:20:35 CET »
0
ciao ho scaricato ed installato Android Studio ma quando faccio partire l'APP mi da questo errore nel log:
Codice: [Seleziona]
emulator: ERROR: x86 emulation currently requires hardware acceleration!
Please ensure Intel HAXM is properly installed and usable.
CPU acceleration status: HAX kernel module is not installed!

L'emulatore x86, in pratica l'unico che utilizzo da più di un anno, funziona molto bene (quasi come Genymotion), ma non è così banale farlo andare. Il punto è che l'emulatore x86 ha bisogno dei driver HAXM forniti da Intel, sempre tu abbia una CPU intel. I driver HAXM sono scaricati con SDK manager di android, ma io ho sempre dovuto lanciare a mano l'installazione.

Potrebbe bastare lanciare a mano quell'installazione.
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store

Offline robyrocker89

  • Utente junior
  • **
  • Post: 55
  • Respect: +1
    • roberto-tucci
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Nexus
  • Sistema operativo:
    Windows
Re:Problema con Eclipse ADT
« Risposta #12 il: 14 Gennaio 2015, 14:53:47 CET »
0
L'emulatore x86, in pratica l'unico che utilizzo da più di un anno, funziona molto bene (quasi come Genymotion), ma non è così banale farlo andare. Il punto è che l'emulatore x86 ha bisogno dei driver HAXM forniti da Intel, sempre tu abbia una CPU intel. I driver HAXM sono scaricati con SDK manager di android, ma io ho sempre dovuto lanciare a mano l'installazione.

Potrebbe bastare lanciare a mano quell'installazione.
Ah ok! Io, pur con CPU Intel, non sono mai riuscito a farlo andare...cioè, la questione é che parte bene ma dopo 10 minuti necessita di un riavvio perché si pianta pesantemente...
Magari sbaglio qualcosa io...
TimeReport: your time. In your pocket.

Offline mpaolo

  • Nuovo arrivato
  • *
  • Post: 23
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    emulatore eclipse
Re:Problema con Eclipse ADT
« Risposta #13 il: 14 Gennaio 2015, 19:02:25 CET »
0
avete qualche link da dove scaricare i driver giusti per installarli?
dall SDK manager mi risulta gia installato ma non va lo stesso

Post unito: 14 Gennaio 2015, 23:35:10 CET
Ciao ho provato a fare l'installazione, lanciando l exe che sta nella cartella extras dell' Sdk anche chiudendo l'antiviruso ma niente,
sopo un po si blocca presentandomi l'errore allegato.
Non capico cosa puo essere.
« Ultima modifica: 14 Gennaio 2015, 23:35:10 CET da mpaolo, Reason: Merged DoublePost »